// Down.cpp
// released 2006-09-25
/*
Copyright (C) 2006  Anders Hedstrom (grymse@alhem.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include "Down.h"
#include "InSocket.h"


void Down::Execute(InSocket *from,const std::string& params,Parse& pa)
{
	if (from -> GetMoveEvent())
	{
		from -> BufferMove("d");
	}
	else
	{
		try_move(from, 0, 0, -1, params.size() > 0);
	}
}


void Down::OnLine(InSocket *from,const std::string& line,int state)
{
	try_create(from, line, 0, 0, -1);
}


