// List.h
// released 2006-09-25
/*
Copyright (C) 2006  Anders Hedstrom (grymse@alhem.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _LIST_H
#define _LIST_H

#include "Command.h"


/** Command: list terrain | wizards | areas
	\ingroup command */
class List : public Command
{
public:
	List() : Command("list") {
		AddArgument("terrain");
		AddArgument("wizards", true);
		AddArgument("areas", true);
	}

	void Execute(InSocket *,const std::string& params,Parse&);

	std::string Category() { return "General"; }

private:

};




#endif // _LIST_H
